summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2021-04-08 09:03:25 -0400
committerCraig Andrews <candrews@gentoo.org>2021-04-08 09:04:04 -0400
commitfeca9cba01a89cc4c5824e3075dfe9a9cede7afc (patch)
tree9010c9763ce26d2eceab9c6f2d0a5e2ca23e3048 /media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild
parentsys-devel/llvm-roc: 4.1.1 version bump (diff)
downloadgentoo-feca9cba01a89cc4c5824e3075dfe9a9cede7afc.tar.gz
gentoo-feca9cba01a89cc4c5824e3075dfe9a9cede7afc.tar.bz2
gentoo-feca9cba01a89cc4c5824e3075dfe9a9cede7afc.zip
media-plugins/kodi-inputstream-adaptive: 2.6.11 version bump
Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Craig Andrews <candrews@gentoo.org>
Diffstat (limited to 'media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild')
-rw-r--r--media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild b/media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild
new file mode 100644
index 00000000000..48e18f09b00
--- /dev/null
+++ b/media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-2.6.11.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake kodi-addon
+
+DESCRIPTION="Kodi's Adaptive inputstream addon"
+HOMEPAGE="https://github.com/peak3d/inputstream.adaptive.git"
+SRC_URI=""
+
+case ${PV} in
+9999)
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/peak3d/inputstream.adaptive.git"
+ EGIT_BRANCH="Matrix"
+ inherit git-r3
+ ;;
+*)
+ KEYWORDS="~amd64 ~x86"
+ CODENAME="Matrix"
+ SRC_URI="https://github.com/peak3d/inputstream.adaptive/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/inputstream.adaptive-${PV}-${CODENAME}"
+ ;;
+esac
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ dev-libs/expat
+ =media-tv/kodi-19*
+ "
+RDEPEND="
+ ${DEPEND}
+ "
+
+src_prepare() {
+ [ -d depends ] && rm -rf depends || die
+ cmake_src_prepare
+}